/***************************************************************************
 *   Copyright (C) 2005 by Timothy Redaelli <drizzt@freesbie.org>          *
 *   Copyright (C) 2004 vu1tur <v@vu1tur.eu.org>                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

/* Includes */
#include <stdio.h>
#ifdef HAVE_CONFIG_H
#include <config.h>
#ifdef HAVE_STDINT_H
#include <stdint.h>
#endif
#ifdef HAVE_STDLIB_H
#include <stdlib.h>
#endif
#ifdef HAVE_STRING_H
#include <string.h>
#endif
#ifdef HAVE_ZLIB_H
#include <zlib.h>
#endif
#else
#include <stdint.h>
#include <stdlib.h>
#include <string.h>
#include <zlib.h>
#endif
/* Defines */
#define PLIST_LOOKUP_SIZE 0x200000
#define PLIST_BEGIN "<plist version=\"1.0\">"
#define PLIST_END "</plist>"
#define PARTLIST_BEGIN "<array>"
#define PARTLIST_END "</array>"
#define PART_BEGIN "<data>"
#define PART_END "</data>"

/* Enums */
enum BlockType {
	BT_ZLIB = 0x80000005,
	BT_COPY = 0x00000001,
	BT_ZERO = 0x00000002,
	BT_END  = 0xffffffff
};

